| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- File List
- File Members

# Dictionary.cpp File Reference

`#include "GaudiKernel/System.h"`

Include dependency graph for Dictionary.cpp:

Go to the source code of this file.

## Namespaces
namespace | GaudiDict
## Functions
std::string | GaudiDict::typeName (const std::type_info &typ)
std::string | GaudiDict::vectorName (const std::type_info &typ)
std::string | GaudiDict::vectorName (const std::string &typ)
std::string | GaudiDict::pairName (const std::type_info &typ1, const std::type_info &typ2)
std::string | GaudiDict::relationName (const std::string &prefix, const std::type_info &typ1, const std::type_info &typ2)
std::string | GaudiDict::templateName1 (const std::string &templ, const std::type_info &typ)
std::string | GaudiDict::templateName1 (const std::string &templ, const std::string &typ)
std::string | GaudiDict::templateName2 (const std::string &templ, const std::type_info &typ1, const std::type_info &typ2)
std::string | GaudiDict::templateName3 (const std::string &templ, const std::type_info &typ1, const std::type_info &typ2, const std::type_info &typ3)
std::string | GaudiDict::keyedContainerName (const std::string &prefix, const std::type_info &typ1)
static std::string | clean (const std::string &s)
std::string | GaudiDict::typeName (const std::type_info &typ)
std::string | GaudiDict::templateName1 (const std::string &templ, const std::type_info &typ)
std::string | GaudiDict::templateName1 (const std::string &templ, const std::string &typ)
std::string | GaudiDict::templateName2 (const std::string &templ, const std::type_info &typ1, const std::type_info &typ2)
std::string | GaudiDict::templateName3 (const std::string &templ, const std::type_info &typ1, const std::type_info &typ2, const std::type_info &typ3)
std::string | GaudiDict::vectorName (const std::type_info &typ)
std::string | GaudiDict::vectorName (const std::string &typ)
std::string | GaudiDict::pairName (const std::type_info &typ1, const std::type_info &typ2)
std::string | GaudiDict::keyedContainerName (const std::string &mgr_typ, const std::type_info &typ1)
std::string | GaudiDict::relationName (const std::string &, const std::type_info &, const std::type_info &)

## Function Documentation

static std::string clean | ( | const std::string & | s | ) | `[static]`

Definition at line 15 of file Dictionary.cpp.

References c, std::basic_string< _CharT, _Traits, _Alloc >::npos, and Gaudi::Units::s.

Referenced by GaudiDict::keyedContainerName(), GaudiDict::templateName1(), GaudiDict::templateName2(), GaudiDict::templateName3(), and GaudiDict::typeName().

    00015                                             {
    00016   std::string c = s;
    00017   for(size_t occ=c.find(" *"); occ != std::string::npos; occ=c.find(" *"))
    00018     c.replace(occ,2,"*");
    00019   return c;
    00020 }